> ## Documentation Index
> Fetch the complete documentation index at: https://platform.take.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get product



## OpenAPI

````yaml openapi-v2 GET /api/v2/products/{product_id}
openapi: 3.1.0
info:
  title: Take App Merchant API V2
  version: 2.0.0
  description: >-
    Authenticated Merchant API for stores. All money values are integers in the
    smallest currency unit (e.g. cents).
servers:
  - url: https://take.app
security:
  - bearerAuth: []
paths:
  /api/v2/products/{product_id}:
    get:
      tags:
        - Products
      operationId: getProduct
      parameters:
        - schema:
            type: string
          required: true
          name: product_id
          in: path
      responses:
        '200':
          description: Product
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Product'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Product:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          enum:
            - product
        reference_id:
          type:
            - string
            - 'null'
        name:
          type: string
        description:
          type: string
        sku:
          type: string
        status:
          type: string
          enum:
            - VISIBLE
            - HIDDEN
        type:
          type: string
          enum:
            - PHYSICAL
            - DIGITAL
            - SUBSCRIPTION
            - BOOKING
            - OTHERS
        price:
          type: integer
          description: >-
            Integer amount in the smallest unit of the store currency (e.g.
            cents).
        original_price:
          type: integer
          description: >-
            Integer amount in the smallest unit of the store currency (e.g.
            cents).
        cost_enabled:
          type: boolean
        cost:
          type:
            - integer
            - 'null'
          description: >-
            Integer amount in the smallest unit of the store currency (e.g.
            cents).
        unit_enabled:
          type: boolean
        unit:
          type: string
          enum:
            - QTY
            - KG
            - G
            - ML
            - L
            - PCS
            - PAX
            - PACK
            - PERSON
            - ROOM
            - LBS
            - HOUR
            - BOX
        unit_value:
          type: number
        weight:
          type: integer
        tax_override:
          type: boolean
        tax_rate:
          type: integer
        tags:
          type: array
          items:
            type: string
        links:
          type: array
          items:
            type: string
        daily_limit:
          type: integer
        cart_limit:
          type: integer
        cart_minimum:
          type: integer
        inventory_enabled:
          type: boolean
        soldout:
          type: boolean
        inventory:
          allOf:
            - $ref: '#/components/schemas/InventoryItem'
            - type:
                - object
                - 'null'
        variants:
          type: array
          items:
            $ref: '#/components/schemas/Variant'
        options:
          type: array
          items:
            $ref: '#/components/schemas/ProductOption'
        images:
          type: array
          items:
            type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - object
        - reference_id
        - name
        - description
        - sku
        - status
        - type
        - price
        - original_price
        - cost_enabled
        - cost
        - unit_enabled
        - unit
        - unit_value
        - weight
        - tax_override
        - tax_rate
        - tags
        - links
        - daily_limit
        - cart_limit
        - cart_minimum
        - inventory_enabled
        - soldout
        - inventory
        - variants
        - options
        - images
        - created_at
        - updated_at
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - invalid_request_error
                - authentication_error
                - permission_error
                - not_found_error
                - rate_limit_error
                - api_error
            code:
              type: string
            message:
              type: string
            param:
              type: string
            request_id:
              type: string
          required:
            - type
            - code
            - message
            - request_id
      required:
        - error
    InventoryItem:
      type: object
      properties:
        item_id:
          type: string
        object:
          type: string
          enum:
            - inventory_item
        item_type:
          type: string
          enum:
            - product
            - variant
        item_name:
          type:
            - string
            - 'null'
        product_id:
          type: string
        variant_id:
          type:
            - string
            - 'null'
        sku:
          type:
            - string
            - 'null'
        quantity:
          type: integer
        price:
          type: integer
          description: >-
            Integer amount in the smallest unit of the store currency (e.g.
            cents).
        original_price:
          type:
            - integer
            - 'null'
          description: >-
            Integer amount in the smallest unit of the store currency (e.g.
            cents).
        cost:
          type:
            - integer
            - 'null'
          description: >-
            Integer amount in the smallest unit of the store currency (e.g.
            cents).
        cost_enabled:
          type: boolean
        updated_at:
          type: string
          format: date-time
      required:
        - item_id
        - object
        - item_type
        - item_name
        - product_id
        - variant_id
        - sku
        - quantity
        - price
        - original_price
        - cost
        - cost_enabled
        - updated_at
    Variant:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          enum:
            - variant
        product_id:
          type: string
        name:
          type: string
        sku:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        price:
          type: integer
          description: >-
            Integer amount in the smallest unit of the store currency (e.g.
            cents).
        original_price:
          type:
            - integer
            - 'null'
          description: >-
            Integer amount in the smallest unit of the store currency (e.g.
            cents).
        cost:
          type:
            - integer
            - 'null'
          description: >-
            Integer amount in the smallest unit of the store currency (e.g.
            cents).
        weight:
          type: integer
        inventory:
          allOf:
            - $ref: '#/components/schemas/InventoryItem'
            - type:
                - object
                - 'null'
      required:
        - id
        - object
        - product_id
        - name
        - sku
        - description
        - price
        - original_price
        - cost
        - weight
        - inventory
    ProductOption:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          enum:
            - product_option
        type:
          type: string
          enum:
            - OPTION_TEXT
            - OPTION_NUMBER
            - OPTION_DATE
            - OPTION_CHECKBOX
            - OPTION_SELECTION
            - OPTION_MEDIA
        text:
          type: string
        required:
          type: boolean
        settings: {}
      required:
        - id
        - object
        - type
        - text
        - required
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Merchant API V2 token. Pass as `Authorization: Bearer <token>`.'

````